stages:
  - deploy

# ansible-deploy:
#   stage: deploy
#   image: alpinelinux/ansible:latest
#   script: 
#     - chmod -R 664 .
#     - echo "$SSH_CLE_PRIVE" > matis-cle.pem
#     - chmod 400 matis-cle.pem
#     - ansible-playbook matis-playbook.yml


ansible-deploy:
  stage: deploy
  image: ubuntu:latest
  before_script:
    - apt update && apt install -y software-properties-common
    - apt-add-repository --yes --update ppa:ansible/ansible
    - apt install -y ansible
    - "which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )"
    - eval $(ssh-agent -s)
    - echo "$SSH_CLE_PRIVE" | tr -d '\r' | ssh-add - > /dev/null
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - chmod -R o-w .
    - ssh-keyscan ec2-13-36-211-250.eu-west-3.compute.amazonaws.com >> ~/.ssh/known_hosts
    - cat ~/.ssh/known_hosts
  script:
    - ansible-playbook matis-playbook.yml
  only:
    - main
